Subject: But other meats and now even vegetables are described as 'confit'.

From: Mat F. Dempsey <[email-masked]>
Date: Wed, 6 Jun 2007 22:56:58 +0900

You can also take the Yoga for Back Pain Awareness Quiz to see how much
you know about taking care of your back as you embark on the yoga
journey.